#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int *a = new int[n];
    int maks = -1;
    int poz = -1;
    for(int i = 0; i < n; i++){
        cin >> a[i];
        if(a[i] > maks){
            maks = a[i];
            poz = i;
        }
    }
    bool zamena = false;
    for(int j = 1; j < n; j++){
        if(poz != j - 1){
            int p = a[poz];
            a[poz] = a[j - 1];
            a[j - 1] = p;
            zamena = true;
            break;
        }
        poz = 1;
        maks = a[1];
        for(int h = j + 1; h <= n; h++){
            if(a[h] >= maks){
                maks = a[h];
                poz = h;
            }
        }
    }
    if(zamena == false){
        int p = a[n - 1];
        a[n - 1] = a[n - 2];
        a[n - 2] = p;
    }
    for(int h = 0; h < n; h++){
        cout << a[h] << " ";
    }
    return 0;
}